%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define dbus_ver        0.60
%define tp_glib_ver     0.7.23
%define farsight2_ver   0.0.3

Name:           telepathy-farsight
Version:        0.0.6
Release:        1%{?dist}
Summary:        Telepathy client to handle media streaming channels

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
# Workaround broken private require. https://bugzilla.redhat.com/show_bug.cgi?id=426106
Patch0:         %{name}-broken-pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
BuildRequires:  dbus-devel >= %{dbus_ver}
BuildRequires:  dbus-glib-devel >= %{dbus_ver}
BuildRequires:  telepathy-glib-devel >= %{tp_glib_ver}
BuildRequires:  farsight2-devel >= %{farsight2_ver}
BuildRequires:  gstreamer-python-devel >= 0.10.10
BuildRequires:  pygtk2-devel >= 2.10
# Needed to remove rpath
BuildRequires:  chrpath


%description
%{name} is a Telepathy client that uses Farsight and GStreamer to
handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.


%package        python
Summary:        Python binding for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    python
Python bindings for %{name}.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-python = %{version}-%{release}
Requires:       glib2-devel
Requires:       dbus-glib-devel >= %{dbus_ver}
Requires:       farsight2-devel >= %{farsight2_ver}
Requires:       telepathy-filesystem
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .pkgconfig


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# Remove rpath
chrpath --delete $RPM_BUILD_ROOT%{python_sitearch}/*.so


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libdir}/*.so.*


%files python
%defattr(-,root,root,-)
%{python_sitearch}/*.so


%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/telepathy-1.0/%{name}/
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Tue Mar 17 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.6-1
- Update to 0.0.6.
- Bump min version of tp-glib needed.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.4-2
- Add devel requires on telepathy-filesystem.

* Sat Jan 17 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.0.4-1
- Initial spec.

